<img src="https://drive.google.com/uc?export=view&id=1XwHm3fgt0oQU1vcx-dlEOgTZA2q1HMli" alt="Thumbnail">

# CEX: Cleaning and EXploration kit for data scientist

| | |
| --- | --- |
| Package | [![PyPI Latest Release](https://img.shields.io/badge/dynamic/json?url=https%3A%2F%2Fpypi.org%2Fpypi%2Fpython-cex%2Fjson&query=%24.info.version&label=version)](https://pypi.org/project/python-cex/) [![License](https://img.shields.io/badge/License-GNU_GPL_v3.0-green)](https://github.com/johnw1llliam/CEX/blob/main/LICENSE)

## What is it?
The ultimate kit for Data Scientists to do data Cleaning and EXploration with 30+ built-in functions that can help data scientist to do data wrangling.
This package aims to make data wrangling easier by calling a function to do specific task without having to do raw coding.

## Features
<ul>
  <li>30+ built-in functions for data cleaning and exploration</li>
  <li>Compatible with popular data science libraries such as pandas and numpy</li>
  <li>Comprehensive error handling and validation</li>
</ul>

## Usage
Quick example:
```python
import cex
import pandas as pd

df = pd.read_csv("data.csv")
cex.col_category_graph(df)
```

Result:

<img src="https://drive.google.com/uc?export=view&id=1zLtv2IgZelCBqPFcsA4HFwhmFjpxo6kW" alt="Sample">

## Source Code
The source code is located <a href="https://github.com/johnw1llliam/CEX">here</a>

